Package weka.gui.knowledgeflow

# Class InvisibleNode

java.lang.Object
javax.swing.tree.DefaultMutableTreeNode
weka.gui.knowledgeflow.InvisibleNode

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `MutableTreeNode`, `TreeNode`

public class InvisibleNode extends DefaultMutableTreeNode
Subclass of `DefaultMutableTreeNode` that can hide itself in a `JTree`.

Version:
  $Revision: $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

  `EMPTY_ENUMERATION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvisibleNode()`
  Constructor
  `InvisibleNode(Object userObject)`
  Constructor for a new node that allows children and is visible
  `InvisibleNode(Object userObject, boolean allowsChildren, boolean isVisible)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TreeNode`
  `getChildAt(int index, boolean filterIsActive)`
  Get a child node
  `int`
  `getChildCount(boolean filterIsActive)`
  Get the number of children nodes
  `boolean`
  `isVisible()`
  Returns true if this node is visible
  `void`
  `setVisible(boolean visible)`
  Set the visible status of this node

  ### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

  `add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvisibleNode

    public InvisibleNode()
    Constructor

  - ### InvisibleNode

    public InvisibleNode(Object userObject)
    Constructor for a new node that allows children and is visible
    Parameters:
      `userObject` - the user object to wrap at the node

  - ### InvisibleNode

    public InvisibleNode(Object userObject, boolean allowsChildren, boolean isVisible)
    Constructor
    Parameters:
      `userObject` - the user object to wrap at the node
      `allowsChildren` - true if this node allows children (not a leaf)
      `isVisible` - true if this node is visible initially

- ## Method Details

  - ### getChildAt

    public TreeNode getChildAt(int index, boolean filterIsActive)
    Get a child node
    Parameters:
      `index` - the index of the node to get
      `filterIsActive` - true if the visible filter is active
    Returns:
      a child node

  - ### getChildCount

    public int getChildCount(boolean filterIsActive)
    Get the number of children nodes
    Parameters:
      `filterIsActive` - true if the visible filter is active (alters the count according to visibility)
    Returns:
      the number of child nodes

  - ### setVisible

    public void setVisible(boolean visible)
    Set the visible status of this node
    Parameters:
      `visible` - true if this node should be visible

  - ### isVisible

    public boolean isVisible()
    Returns true if this node is visible
    Returns:
      true if this node is visible